> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/unmanaged-egressip/modifyunmanagedegressipbandwidthlimitmode.md).

# ModifyUnmanagedEgressIpBandwidthLimitMode

## 1. API Description

This API (ModifyUnmanagedEgressIpBandwidthLimitMode) is used to modify the bandwidth rate limit mode of the specified unmanaged egress IP.

{% hint style="info" %}
**Notes**

* Only unmanaged egress IPs in the available status (`AVAILABLE`) support this operation.
* Unmanaged egress IPs without bandwidth configured do not support this operation.
* `LOOSE` (relaxed mode) allows short-term bursts exceeding the rate limit; `STRICT` (strict mode) enforces the rate limit strictly without any bursts.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name      | Required | Type                                                                       | Description                           |
| ------------------- | -------- | -------------------------------------------------------------------------- | ------------------------------------- |
| unmanagedEgressIpId | Yes      | String                                                                     | Unique ID of the unmanaged egress IP. |
| rateLimitMode       | Yes      | [RateLimitMode](/api-reference/compute/zec/datastructure.md#ratelimitmode) | New rate limit mode.                  |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify the bandwidth rate limit mode of an unmanaged egress IP**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyUnmanagedEgressIpBandwidthLimitMode
<Common Request Params>

Request：
{
    "unmanagedEgressIpId": "unmanagedEgressIpId-xxx",
    "rateLimitMode": "STRICT"
}

Response：
{
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                                  | Description                                                                            |
| ---------------- | ----------------------------------------------------------- | -------------------------------------------------------------------------------------- |
| 404              | INVALID\_UNMANAGED\_EGRESS\_IP\_NOT\_FOUND                  | The unmanaged egress IP does not exist.                                                |
| 400              | INVALID\_UNMANAGED\_EGRESS\_IP\_STATUS                      | The current status of the unmanaged egress IP does not allow this operation.           |
| 400              | INVALID\_UNMANAGED\_EGRESS\_IP\_NO\_BANDWIDTH               | No bandwidth is configured for the unmanaged egress IP. Rate limit mode cannot be set. |
| 400              | OPERATION\_DENIED\_UNMANAGED\_EGRESS\_IP\_IN\_RISK\_CONTROL | The unmanaged egress IP is under rate limit control and cannot be modified.            |
